/* ==========================================================================
DESIGN SYSTEM BASE — ANGELS
Projeto: angels.pt
Descrição:
Este ficheiro define as definições das imagens e ícones.

 * @author Sérgio Moreira
 * @link https: //samoreira.eu
========================================================================== */

/*==========================================================================
Ícones SVG
==========================================================================*/

.icon-btn {
    width: 48px;
    height: 48px;
    cursor: pointer;
    transition: transform 0.2s ease, fill 0.2s ease;
    transform-origin: center;
    display: inline-block;
}

.casamentos-icon-btn {
    width: 102px;
    height: 16px;
    cursor: pointer;
    transition: transform 0.2s ease, fill 0.2s ease;
    transform-origin: center;
    display: inline-block;
}

.casamentos-icon-btn:hover,
.icon-btn:hover {
    transform: scale(1.2);
    fill: var(--color-white, #FFF);
}

/*==========================================================================
Imagens
==========================================================================*/

img {
    border-radius: 1em;
}

.img-shadow {
    box-shadow: 5px 10px 8px var(--color-secondary, #E6C97A);
}

.photo-glow {
    animation: photo-glow 4s ease-in-out infinite;
}

@keyframes photo-glow {
    0% {
        box-shadow: 0 0 0 rgba(202, 178, 105, 0.0);
    }

    50% {
        box-shadow: 0 0 25px rgba(202, 178, 105, 0.45);
    }

    100% {
        box-shadow: 0 0 0 rgba(202, 178, 105, 0.0);
    }
}
